//
//  FollowCreatorRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/19.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class FollowCreatorRepository {
    private let api = MoyaProvider<LiveRecommendApi>()
    
    func getFollowedCreatorAllList(page: Int, size: Int) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getFollowedCreatorAllList(page: page, size: size))
    }
}
